Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class NoSuchMethodError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.LinkageError
                  java.lang.IncompatibleClassChangeError
                      java.lang.NoSuchMethodError

All Implemented Interfaces:
  Serializable

    public class NoSuchMethodError

extends IncompatibleClassChangeError

Thrown if an application tries to call a specified method of a class (either static or instance), and that class no longer has a definition of that method.

Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

Since:
  JDK1.0
See Also:
  Serialized Form

Constructor Summary
`NoSuchMethodError()` Constructs a `NoSuchMethodError` with no detail message.
`NoSuchMethodError(String s)` Constructs a `NoSuchMethodError` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchMethodError

    public NoSuchMethodError()

  Constructs a `NoSuchMethodError` with no detail message.

### NoSuchMethodError

    public NoSuchMethodError(String s)

  Constructs a `NoSuchMethodError` with the specified detail message.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.